@ECHO OFF
REM
REM \ldsu\bin\ldsu_create_instance.bat - script to create a single LDSU instance
REM
REM	P1 - Name of subdirectory (e.g. import_xxx, export_xxx )
REM	P2 - Type of instance 
REM		(import,transaction,export,export1,changes,changes1)
REM
REM	The following files must exist:
REM
REM		templates\ldsu_config_P2.dat
REM
REM	The following files are created as a result of running this procedure:
REM
REM		P1 directory is created
REM		P1\ldsu_config.dat
REM

IF "%1"=="" GOTO USAGE
IF "%2"=="" GOTO USAGE
GOTO L0
:USAGE
ECHO Usage: %0 ldsu_subdirectory_name type
ECHO      where type can be import,transaction,export,export1,changes,changes1
SET ldsu_status=1
GOTO LEND

:L0

set LDSUBINDIR=%~dp0%
IF EXIST ldsu_create_instance.bat cd ..
IF EXIST %LDSUBINDIR%\..\templates\ldsu_config_%2.dat GOTO L1
ECHO Bad type - templates\ldsu_config_%2.dat Not Found
GOTO USAGE

REM	Create the subdirectory

:L1
ECHO Creating %1
MKDIR %1
IF NOT errorlevel 1 GOTO L2
ECHO LDSU_CREATE_INSTANCE Failed - Error Creating %1
SET ldsu_status=1
GOTO LEND
:L2

REM	Copy Template to the new subdirectory

ECHO Creating %1\ldsu_config.dat
COPY %LDSUBINDIR%\..\templates\ldsu_config_%2.dat %1\ldsu_config.dat
IF NOT errorlevel 1 GOTO L3
ECHO LDSU_CONFIG_INSTANCE Failed - Error Creating %1\ldsu_config.dat
SET ldsu_status=1
GOTO LEND
:L3

ECHO The %1 %2 instance has been created.
ECHO Complete the configuration by editing %1\ldsu_config.dat
ECHO and any RDF or other supporting files required by this instance.
SET ldsu_status=0

:LEND
